Subject: bug#50151: Coreutils, aarch64 and chroot

From: Frans de Boer <[email-masked]>
Date: Thu, 26 Aug 2021 11:38:36 +0200

On 8/26/21 11:14, Frans de Boer wrote:
> On 8/26/21 10:19, Andreas Schwab wrote:
>> On Aug 26 2021, Frans de Boer wrote:
>>
>>> I was not sure, but I tried the same also with x86_64 cross compiled
>>> programs using qemu-i386, which worked.
>> Of course, they can be natively executed.
>>
>> Andreas.
>>
> I understand now better how things are connected. Until some time ago 
> I always used qemu-system-xxx, but have failed to understand that the 
> qemu-xxx user emulation is only about the cpu. So, starting programs 
> with a different coding will fail. The binfmt is the way to solve this 
> issue. Now only find a decent explanation how to setup the 
> /etc/binfmt.d/register for the aarch64, powerpc and maybe other 
> architectures.
> At kernel.org there is an explanation, but fairly limited and thus not 
> very helpful at this point in time.
>
> I keep on digging.
>
> Frans
Ok, found the magic number list and (mostly) how to read it. Time to 
experiment...

Frans.

-- 
A: Yes, just like that                            A: Ja, net zo
Q: Oh, Just like reading a book backwards         Q: Oh, net als een boek achterstevoren lezen
A: Because it upsets the natural flow of a story  A: Omdat het de natuurlijke gang uit het verhaal haalt
Q: Why is top-posting annoying?                   Q: Waarom is Top-posting zo irritant?